Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Interface VerticalDatum

All Superinterfaces:
  Datum, IdentifiedObject

    @UML(identifier="CD_VerticalDatum",
         specification=ISO_19111)
    public interface VerticalDatum

extends Datum

A textual description and/or a set of parameters identifying a particular reference level surface used as a zero-height surface. The description includes its position with respect to the Earth for any of the height types recognized by this standard. There are several types of Vertical Datums, and each may place constraints on the Coordinate Axis with which it is combined to create a Vertical CRS.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface Datum
`ANCHOR_POINT_KEY, DOMAIN_OF_VALIDITY_KEY, REALIZATION_EPOCH_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`VerticalDatumType` | `getVerticalDatumType()` The type of this vertical datum.

Methods inherited from interface Datum
`getAnchorPoint, getDomainOfValidity, getRealizationEpoch, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getVerticalDatumType

    @UML(identifier="vertDatumType",
         obligation=MANDATORY,
         specification=ISO_19111)
    VerticalDatumType getVerticalDatumType()

  The type of this vertical datum. Default is "geoidal".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.